__version__ = '2.0.4'

import multiprocessing as mp
try:
  mp.set_start_method('spawn')
except RuntimeError:
  pass

from .client import Client
from .thread import Thread, StoppableThread
from .process import Process, StoppableProcess
from .utils import run
from .utils import port_free
from .utils import get_free_port
from .utils import warn_remote_error
from .utils import kill_proc
from .utils import kill_subprocs
from .utils import proc_alive
from .server import Server
from .proc_server import ProcServer
from .sockets import NotAliveError, RemoteError, ProtocolError
